commit:     fabd76609d23df81f0d3c8fc0c0bebfb8fba7d7c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 25 08:41:01 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Nov 25 09:08:55 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fabd7660

dev-python/pycparser: Bump to 2.19 (bugfix)

Closes: https://bugs.gentoo.org/671830
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pycparser/Manifest              |  1 +
 dev-python/pycparser/pycparser-2.19.ebuild | 48 ++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-python/pycparser/Manifest b/dev-python/pycparser/Manifest
index a8c8f9d2143..a056403eb62 100644
--- a/dev-python/pycparser/Manifest
+++ b/dev-python/pycparser/Manifest
@@ -1,2 +1,3 @@
 DIST pycparser-2.14.tar.gz 223295 BLAKE2B 
13dd4e36d7239db4fd6dfb77f08088bdbffa897ab75d748da5bd7297fe0a7dd751ba7153f8bf15f93494e347c653d1ebc7250907d2ccc555e785830e731e93dc
 SHA512 
d5b9ab434a8944898ac23a4f51189db77b02b993bf3e3ca018852b117fc0eb43e460b156beaa5c1d631ad71c81e1649113e9fff7e33506b1e7d4de24d8b464c6
 DIST pycparser-2.18.tar.gz 245897 BLAKE2B 
2f47263c73763f9d76edcb0d90aacd2e6cf0a68ed2e8c5825a0788a5ccb6574167220a5bb7605b2c11dda8956ce8fb1ad28eeb8e91fed7aa0282191b11478b63
 SHA512 
4754e4e7556d21da328bf7dbabf72f940c9b18f1457260d48208033b05e576919f45ab399e86ea49e82120116980d7d6f53e8b959d21b7b03a3b5bbea3672f13
+DIST pycparser-2.19.tar.gz 158295 BLAKE2B 
8836914e7549517f0c23a1c75457beefd013161f19c51a9f2a236ebd69466edd11235bf0a3f59c5cbece9e9e287eeb24b707bfa5afc30fcb079d134dcd4d9a80
 SHA512 
7f830e1c9066ee2d297a55e2bf6db4bf6447b6d9da0145d11a88c3bb98505755fb7986eafa6e06ae0b7680838f5e5d6a6d188245ca5ad45c2a727587bac93ab5

diff --git a/dev-python/pycparser/pycparser-2.19.ebuild 
b/dev-python/pycparser/pycparser-2.19.ebuild
new file mode 100644
index 00000000000..238e14f6387
--- /dev/null
+++ b/dev-python/pycparser/pycparser-2.19.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="C parser and AST generator written in Python"
+HOMEPAGE="https://github.com/eliben/pycparser";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris 
~x86-solaris"
+IUSE="test"
+
+RDEPEND="dev-python/ply:=[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+
+python_prepare_all() {
+       # remove the original files to guarantee their regen
+       rm pycparser/{c_ast,lextab,yacctab}.py || die
+
+       # kill sys.path manipulations to force the tests to use built files
+       sed -i -e '/sys\.path/d' tests/*.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_compile() {
+       distutils-r1_python_compile
+
+       # note: tables built by py3.5+ are incompatible with older versions
+       # because of 100 group limit of 're' module -- just generate them
+       # separately optimized for each target instead
+       pushd "${BUILD_DIR}"/lib/pycparser > /dev/null || die
+       "${PYTHON}" _build_tables.py || die
+       popd > /dev/null || die
+}
+
+python_test() {
+       # change workdir to avoid '.' import
+       nosetests -v -w tests || die
+}

Reply via email to